{
  "description": "Describes the state of the storageVersion at a certain point.",
  "properties": {
    "lastTransitionTime": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.apis.meta.v1.Time",
      "description": "Last time the condition transitioned from one status to another."
    },
    "message": {
      "description": "A human readable message indicating details about the transition.",
      "type": [
        "string",
        "null"
      ]
    },
    "observedGeneration": {
      "description": "If set, this represents the .metadata.generation that the condition was set based upon.",
      "format": "int64",
      "type": [
        "integer",
        "null"
      ]
    },
    "reason": {
      "description": "The reason for the condition's last transition.",
      "type": [
        "string",
        "null"
      ]
    },
    "status": {
      "description": "Status of the condition, one of True, False, Unknown.",
      "type": [
        "string",
        "null"
      ]
    },
    "type": {
      "description": "Type of the condition.",
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "type",
    "status",
    "reason"
  ],
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "https://kubernetes.io/api/storageversioncondition/apiserverinternal/v1alpha1"
}